# $Revision: 1.43 $, $Date: 2005/08/13 19:02:33 $
#
# Conditional build
%bcond_without	kde
#
Summary:	Bluecurve look & feel
Summary(pl):	Wygldy Bluecurve
Name:		redhat-artwork
Version:	0.117
Release:	2
Group:		Themes
License:	GPL
Source0:	ftp://distfiles.pld-linux.org/src/%{name}-%{version}.tar.gz
# Source0-md5:	91caaefd6629364c282181b34be13b57
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-am.patch
Patch2:		%{name}-mouse_position.patch
URL:		http://www.redhat.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gtk+-devel >= 1.2.9
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	icon-slicer
%if %{with kde}
BuildRequires:	kdebase-devel >= 3.1.90
%endif
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	qt-devel >= 3.0
BuildRequires:	zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bluecurve look & feel.

%description -l pl
Wygldy Bluecurve.

%package -n icons-Bluecurve
Summary:	Bluecurve icons
Summary(pl):	Ikony Bluecurve
Group:		Themes
# contains dir used by icons
Requires:	XcursorTheme-Bluecurve

%description -n icons-Bluecurve
Bluecurve icons for GNOME & KDE.

%description -n icons-Bluecurve -l pl
Ikony Bluecurve dla GNOME i KDE.

%package -n gtk-theme-engine-Bluecurve
Summary:	GTK+ Bluecurve theme
Summary(pl):	Bluecurve dla GTK+
Group:		Themes
Requires:	icons-Bluecurve
Obsoletes:	gtk2-theme-engine-Wonderland
Obsoletes: 	gnome-theme-Bluecurve < 0.89

%description -n gtk-theme-engine-Bluecurve
GTK+ Bluecurve theme.

%description -n gtk-theme-engine-Bluecurve -l pl
Motyw Bluecurve dla GTK.

%package -n metacity-themes-Bluecurve-redhat
Summary:	Metacity Bluecurve theme
Summary(pl):	Bluecurve dla Metacity
Group:		Themes
Requires:	icons-Bluecurve
Requires:	metacity
Obsoletes:	gtk2-theme-engine-Wonderland
Obsoletes:	metacity-theme-Bluecurve
Obsoletes:	gnome-theme-Bluecurve < 0.89
Obsoletes:	metacity-theme-Bluecurve-redhat
Conflicts:	metacity-themes-Bluecurve

%description -n metacity-themes-Bluecurve-redhat
GTK+ Bluecurve Metacity.

%description -n metacity-themes-Bluecurve-redhat -l pl
Motyw Bluecurve dla Metacity.

%package -n gnome-theme-Bluecurve
Summary:	GNOME Bluecurve theme
Summary(pl):	Bluecurve dla GNOME
Group:		Themes
Requires:	icons-Bluecurve
Requires:	metacity-themes-Bluecurve-redhat
Requires:	gtk2-theme-engine-Bluecurve
Requires:	gtk-theme-engine-Bluecurve
Requires:	nautilus-theme-Bluecurve
Obsoletes:	gtk2-theme-engine-Wonderland
Obsoletes:	metacity-theme-Bluecurve

%description -n gnome-theme-Bluecurve
GNOME Bluecurve theme (gtk, gtk2, metacity, nautilus).

%description -n gnome-theme-Bluecurve -l pl
Motyw Bluecurve dla GNOME (gtk, gtk2, metacity, nautilus).

%package -n gtk2-theme-engine-Bluecurve
Summary:	GTK+2 Bluecurve theme
Summary(pl):	Bluecurve dla GTK+2
Group:		Themes
Requires:	icons-Bluecurve
Obsoletes:	gtk2-theme-engine-Wonderland
Obsoletes:	metacity-theme-Bluecurve
Obsoletes:	gnome-theme-Bluecurve < 0.89

%description -n gtk2-theme-engine-Bluecurve
GTK+2 Bluecurve theme.

%description -n gtk2-theme-engine-Bluecurve -l pl
Motyw Bluecurve dla GTK+2.

%package -n nautilus-theme-Bluecurve
Summary:	Nautilus Bluecurve theme
Summary(pl):	Bluecurve dla Nautilusa
Group:		Themes
Requires:	nautilus

%description -n nautilus-theme-Bluecurve
Nautilus Bluecurve theme.

%description -n nautilus-theme-Bluecurve -l pl
Motyw Bluecurve dla Nautilusa.

%package -n xmms-skin-Bluecurve
Summary:	XMMS skin taken from Bluecurve
Summary(pl):	Skrka dla XMMS-a w stylu Bluecurve
Group:		X11/Applications/Multimedia
Requires:	xmms

%description -n xmms-skin-Bluecurve
XMMS skin taken from Bluecurve.

%description -n xmms-skin-Bluecurve -l pl
Skrka dla XMMS-a w stylu Bluecurve.

%package -n qt-style-Bluecurve
Summary:	Bluecurve Qt style
Summary(pl):	Styl Bluecurve dla Qt
Group:		Themes
Requires:	qt >= 3.0

%description -n qt-style-Bluecurve
Bluecurve Qt style.

%description -n qt-style-Bluecurve -l pl
Styl Bluecurve dla Qt.

%package -n kde-theme-Bluecurve
Summary:	Bluecurve KDE theme
Summary(pl):	Motyw Bluecurve dla KDE
Group:		Themes
Requires:	qt-style-Bluecurve

%description -n kde-theme-Bluecurve
Bluecurve KDE theme.

%description -n kde-theme-Bluecurve -l pl
Motyw Bluecurve dla KDE.

%package -n XcursorTheme-Bluecurve
Summary:	Bluecurve cursor pack
Summary(pl):	Motyw kursorw Bluecurve
Group:		X11/XFree86
Requires:	XFree86 
Obsoletes:	XFree86-Xcursor-packs-Bluecurve

%description -n XcursorTheme-Bluecurve
Bluecurve cursor pack.

%description -n XcursorTheme-Bluecurve -l pl
Motyw kursorw Bluecurve.

%package -n gdm-theme-Bluecurve
Summary:	Bluecurve GDM theme
Summary(pl):	Motyw Bluecurve dla GDM-a
Group:		Themes
Requires:	gdm >= 2.4

%description -n gdm-theme-Bluecurve
Bluecurve GDM theme.

%description -n gdm-theme-Bluecurve -l pl
Motyw Bluecurve dla GDM-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .niedakh
#%patch2 -p1

%build
%if %{without kde}
sed -i -e "s,kde ,," art/Makefile.am
rm -rf art/kde/kwin/Bluecurve/configure.in.in
%endif

export QTDIR=%{_prefix}
export QMAKESPEC=%{_datadir}/qt/mkspecs/linux-g++
%{__libtoolize}
## gettextize in pld is too screwed, i have gettexitized it using redhat's autogen.sh instead
##%%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--with-xinerama \
	--disable-rpath 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
export QTDIR=%{_prefix}
export QMAKESPEC=%{_datadir}/qt/mkspecs/linux-g++
install -d $RPM_BUILD_ROOT%{_libdir}/qt/plugins-mt/styles

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

#mv -f $RPM_BUILD_ROOT%{_libdir}/kde3/kwin_bluecurve.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}/kde3/kwin_bluecurve.so
#sed -e "s,\.0,," $RPM_BUILD_ROOT%{_libdir}/kde3/kwin_bluecurve.la > $RPM_BUILD_ROOT%{_libdir}/kde3/kwin_bl.la
#mv -f $RPM_BUILD_ROOT%{_libdir}/kde3/kwin_bl.la $RPM_BUILD_ROOT%{_libdir}/kde3/kwin_bluecurve.la
#mv -f $RPM_BUILD_ROOT%{_libdir}/qt-3.1/plugins/styles/bluecurve.so \
#	$RPM_BUILD_ROOT%{_libdir}/qt/plugins-mt/styles/libbluecurve.so
#
#rm -f $RPM_BUILD_ROOT%{_libdir}/gtk*/*/engines/libbluecurve.la \
#	$RPM_BUILD_ROOT%{_libdir}/qt-*/plugins/styles/bluecurve.la

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

# locales for gdm theme
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n icons-Bluecurve
%defattr(644,root,root,755)
%dir %{_datadir}/themes/Bluecurve*
%{_iconsdir}/Bluecurve/16x16
%{_iconsdir}/Bluecurve/20x20
%{_iconsdir}/Bluecurve/24x24
%{_iconsdir}/Bluecurve/32x32
%{_iconsdir}/Bluecurve/36x36
%{_iconsdir}/Bluecurve/48x48
%{_iconsdir}/Bluecurve/64x64
%{_iconsdir}/Bluecurve/96x96
%{_iconsdir}/Bluecurve/index.theme
%{_pixmapsdir}/*.png

%files -n gnome-theme-Bluecurve
%defattr(644,root,root,755)
%{_datadir}/themes/*/index.theme

%files -n gtk2-theme-engine-Bluecurve
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.0/*/engines/libbluecurve.so
%{_datadir}/themes/Bluecurve*/gtk-2.0/

%files -n gtk-theme-engine-Bluecurve
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk/themes/engines/libbluecurve.so
%{_datadir}/themes/Bluecurve*/gtk/

%files -n metacity-themes-Bluecurve-redhat
%defattr(644,root,root,755)
%{_datadir}/themes/Bluecurve*/metacity*/

%files -n nautilus-theme-Bluecurve
%defattr(644,root,root,755)
%{_pixmapsdir}/nautilus/Bluecurve

%files -n xmms-skin-Bluecurve
%defattr(644,root,root,755)
%{_datadir}/xmms/Skins/Bluecurve-xmms.zip

%files -n qt-style-Bluecurve
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/qt/plugins-mt/styles/bluecurve.so

%if %{with kde}
%files -n kde-theme-Bluecurve
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/kwin3_bluecurve.so
%{_libdir}/kde3/kwin3_bluecurve.la
%{_datadir}/apps/kdisplay/color-schemes/Bluecurve.kcsrc
%{_datadir}/apps/kstyle/themes/Bluecurve.themerc
%{_datadir}/apps/kwin/bluecurve.desktop
%endif

%files -n XcursorTheme-Bluecurve
%defattr(644,root,root,755)
%dir %{_iconsdir}/Bluecurve
%{_iconsdir}/Bluecurve/cursors
%{_iconsdir}/Bluecurve-inverse

%files -n gdm-theme-Bluecurve -f %{name}.lang
%defattr(644,root,root,755)
%{_datadir}/gdm/themes/Bluecurve

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: redhat-artwork.spec,v $
Revision 1.43  2005/08/13 19:02:33  qboosh
- kill no locale, release 2

Revision 1.42  2005/03/28 01:18:19  havner
- 0.117 from FC 3

Revision 1.41  2004/12/23 13:02:33  havner
- own themes dirs, not icons
- rel 7

Revision 1.40  2004/12/23 12:13:05  havner
- Bluecurve dirs belongs to icons-Bluecurve now
- rel 6

Revision 1.39  2004/11/23 15:49:52  wolf
- rel 5

Revision 1.38  2004/11/14 02:16:31  havner
- R: metacity in metacity themes
- rel up

Revision 1.37  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.36  2004/07/08 18:00:10  havner
- removed obsolete provides

Revision 1.35  2004/07/05 18:50:07  havner
- description fixed

Revision 1.34  2004/07/05 18:17:30  havner
- R(gnome-theme): nautilus-theme

Revision 1.33  2004/06/06 22:58:09  havner
- fixed R:

Revision 1.32  2004/06/06 21:44:42  havner
- R: updated

Revision 1.31  2004/06/06 21:41:58  havner
- s/metacity-theme/metacity-themes/
- rel up

Revision 1.30  2004/05/14 16:43:05  qboosh
- cosmetics

Revision 1.29  2004/05/14 15:49:37  havner
- typo

Revision 1.28  2004/05/14 15:48:25  havner
- Obsolete for old Xcursor-pack

Revision 1.27  2004/05/14 15:06:50  havner
- URL fixed

Revision 1.26  2004/05/14 14:57:13  havner
- updated to 0.96
- commented out mouse-position patch (according to changelog it's
  fixed in 0.96)

Revision 1.25  2004/05/13 17:43:07  ankry
- spaces -> tabs, other cosmetics

Revision 1.24  2004/03/27 23:40:27  pluto
- adapted to a new kde's api.

Revision 1.23  2004/03/27 23:26:29  djurban
- reverted my uppdate, it is enwer but i dont remember how i fixed trhe makefile.in problem last time

Revision 1.20  2004/01/15 12:45:32  speedy
- add Conflicts...

Revision 1.19  2004/01/11 00:27:20  eothane
- proper ep09 address

Revision 1.18  2003/12/11 16:47:25  krzak
- metacity-theme-Bluecurve-redhat (to avoid confusion with
  metacity-theme-Bluecurve.spec)

Revision 1.17  2003/12/11 16:10:26  djurban
- md5sum correcxted

Revision 1.16  2003/12/11 15:49:52  djurban
- without kde bcond
- 0.89
- includes kwin3 decoration, equires kde -r DEVEL

Revision 1.15  2003/09/20 03:02:58  havner
- should build now on kde 3.1 and 3.2, fixed kde patch is back

Revision 1.14  2003/09/20 02:02:04  havner
- updated to 0.81
- removed iconsize patch (icons are small by default again)
- commented out kde patch :-) (krzyzak, i believe in you)

Revision 1.13  2003/09/20 00:55:43  krzak
- kde.patch is back and we know that it should be.
- rel 3, stb

Revision 1.12  2003/09/09 11:04:54  havner
- commented out kde patch. redhat-artwork does not compile with it.

Revision 1.11  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.10  2003/09/06 00:10:30  krzak
- iconsizes.patch
- --with-xinerama

Revision 1.9  2003/09/05 23:26:59  krzak
- patch2 that fix path to kde libs
- rel 2

Revision 1.8  2003/09/05 08:54:22  qboosh
- fixes in file lists, moved locales to proper package

Revision 1.7  2003/09/02 10:08:56  havner
- fixed gdm and kwin

Revision 1.6  2003/08/18 08:30:11  qboosh
- cleanups/fixes, no *.la for gtk engines; found too many dirs in some packages

Revision 1.5  2003/08/15 19:18:59  ankry
- cosmetics

Revision 1.4  2003/08/15 19:08:31  havner
- icon-slicer added, icons-Bluecurve is back

Revision 1.3  2003/08/15 13:54:07  havner
- Updated to 0.78. icons-Bluecurve needs `icon-slicer` (needs to be fixed)

Revision 1.2  2003/08/15 10:23:46  havner
- Some cleanups. makefilefix.patch changed to DESTDIR.patch

Revision 1.1  2003/08/13 13:39:56  adamg
- raw from Lukasz Pawelczyk (havner); he will finish up these later
